import request from '@/utils/request'

// 查询患者管理任务推送方式记录列表
export function listTaskPushRecord(query) {
    return request({
        url: '/system/taskPushRecord/list',
        method: 'get',
        params: query
    })
}

// 查询患者管理任务推送方式记录详细
export function getManageRouteNode(query) {
    return request({
        url: '/system/taskPushRecord/getManageRouteNode',
        method: 'get',
        params: query
    })
}

// 新增患者管理任务推送方式记录
export function addTaskPushRecord(data) {
    return request({
        url: '/system/taskPushRecord',
        method: 'post',
        data: data
    })
}

// 修改患者管理任务推送方式记录
export function updateTaskPushRecord(data) {
    return request({
        url: '/system/taskPushRecord',
        method: 'put',
        data: data
    })
}

// 删除患者管理任务推送方式记录
export function delTaskPushRecord(id) {
    return request({
        url: '/system/taskPushRecord/' + id,
        method: 'delete'
    })
}
